:: Briscola setup batch file

@COLOR 

@setlocal enableextensions enabledelayedexpansion
@ECHO off
ECHO.
SET InstallDir=%~dp0
:: changing directory to system drive
CD /D %SystemDrive%\


:: Creating game directory
IF EXIST "BriscolaGameByGiumby"  RMDIR /s /q BriscolaGameByGiumby
MD BriscolaGameByGiumby
IF errorlevel 1 GOTO Failure

:: Copying files
CD BriscolaGameByGiumby
SET SourceFiles=%InstallDir%
SET DestFiles=%CD%
ROBOCOPY /s /LOG:InstallLogFile.log %SourceFiles% .
ECHO Copying files...


::creating setting file
  ::the following gets the language
  set Key="HKEY_CURRENT_USER\Control Panel\International"
  for /F "tokens=3" %%a in ('reg query %Key%  ^| find /i "sLang"') do set Language=%%a
IF %Language%==ITA GOTO OptionsSetItalian
IF %Language%==ITS GOTO OptionsSetItalian
IF NOT x%Language:ES=%==x%Language% GOTO OptionsSetSpanish
ECHO 0,0,000100000,2,000000,000000,1  > Resources\%UserName%.txt
GOTO OptionsSet
:OptionsSetItalian
ECHO 1,0,000100000,2,000000,000000,1  > Resources\%UserName%.txt
GOTO OptionsSet
:OptionsSetSpanish
ECHO 2,0,000100000,2,000000,000000,1  > Resources\%UserName%.txt
GOTO OptionsSet

:OptionsSet

ECHO.
ECHO Would you like to create a shortcut on your desktop? Y/N
CHOICE /N
IF errorlevel 2 GOTO NoDesktopShortcut
cscript CreateShortcut.vbs "%SystemDrive%\Documents and Settings\%USERNAME%\Desktop\Briscola.lnk" "%CD%\BriscolaProg.exe" "%CD%\" "%CD%\Images\Briscolalogo.ico,0"  > nul
:NoDesktopShortcut
GOTO Success

:Failure
COLOR 0c
ECHO.
ECHO Installation failed, you may need administrative privileges in order to install the program.
PAUSE
EXIT

:Success
COLOR 0a
ECHO.
ECHO Installation completed successfully.

:: Deleting files that are not needed.
DEL setup.bat
DEL CreateShortcut.vbs
DEL SetupInstructions.htm
PAUSE
:: RMDIR /s /q %InstallDir%
